petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscMkdtemp

Create a folder with a unique name given a filename template.

### Synopsis

    PetscErrorCode PetscMkdtemp(char dir[])

Not Collective

### Input Parameters

dir -file name template, the last six characters must be 'XXXXXX', and they will be modified upon return

### See Also

PetscMkdir()

### Level

developer

### Location

src/sys/fileio/fdir.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages